Bug 1028224 - Resource/group tag names can include trailing spaces
Resource/group tag names can include trailing spaces
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 18:13 EST by Elias Ross
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:30:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Ross 2013-11-07 18:13:05 EST
Description of problem:

The UI allows you to tag resources using a name like 'production '

This is problematic, since you can end up creating a tag like 'production' as well. It also confuses doing exact searches.

It makes sense for the UI to simply truncate the tag name.


Version-Release number of selected component (if applicable): 4.9


How reproducible: Always


Steps to Reproduce:
1. Create a resource
2. Add a tag, such as 'foo '
3. Add another tag, such as 'foo' (no space)

Actual results:
Two tags, not one.

Expected results:
One tag.

Additional info:
Comment 1 Libor Zoubek 2014-02-28 08:00:44 EST
in master
commit 4ebcd443d985e2a9d2b45858a92cbe84d57d88fd
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Fri Feb 28 13:52:32 2014 +0100

    Bug 1028224 - Resource/group tag names can include trailing spaces
Comment 2 Heiko W. Rupp 2014-04-23 08:30:03 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.